# FullscreenButtonViewModel

#### new Cesium.FullscreenButtonViewModel(fullscreenElement, container)
Widgets/FullscreenButton/FullscreenButtonViewModel.js 18

The view model for `FullscreenButton`.

Name | Type | Default | Description
--- | --- | --- | ---
`fullscreenElement` | Element | String | `document.body` | optional The element or id to be placed into fullscreen mode.
`container` | Element | String |  | optional The DOM element or ID that will contain the widget.

### Members

#### command : Command
Widgets/FullscreenButton/FullscreenButtonViewModel.js 118

Gets the Command to toggle fullscreen mode.

#### fullscreenElement : Element
Widgets/FullscreenButton/FullscreenButtonViewModel.js 96

Gets or sets the HTML element to place into fullscreen mode when the corresponding button is pressed.

#### isFullscreen : Boolean
Widgets/FullscreenButton/FullscreenButtonViewModel.js 36

Gets whether or not fullscreen mode is active. This property is observable.

#### isFullscreenEnabled : Boolean
Widgets/FullscreenButton/FullscreenButtonViewModel.js 49

Gets or sets whether or not fullscreen functionality should be enabled. This property is observable.

##### See:

- Fullscreen.enabled

#### tooltip : String
Widgets/FullscreenButton/FullscreenButtonViewModel.js 64

Gets the tooltip. This property is observable.

### Methods

#### destroy()
Widgets/FullscreenButton/FullscreenButtonViewModel.js 136

Destroys the view model. Should be called to properly clean up the view model when it is no longer needed.

#### isDestroyed() → Boolean
Widgets/FullscreenButton/FullscreenButtonViewModel.js 128

##### Returns:

true if the object has been destroyed, false otherwise.